<?php
/**
 * The template for displaying 404 (Not Found) pages.
 */
get_header(); ?>

<div id="page">
	<div class="sidebar-with-content">
		<article class="article">
			<div id="content_box" >
				<header>
					<div class="title">
						<h1><?php _e('Error 404 Not Found', 'interactive'); ?></h1>
					</div>
				</header>
				<div class="post-content">
					<p><?php _e('Oops! We couldn\'t find this Page.', 'interactive'); ?></p>
					<p><?php _e('Please check your URL or use the search form below.', 'interactive'); ?></p>
					<?php get_search_form();?>
				</div><!--.post-content--><!--#error404 .post-->
			</div><!--#content-->
		</article>
	</div>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>