<?php
// make sure to not include translations
$args['presets']['default'] = array(
    'title' => 'Default',
    'demo' => 'http://demo.mythemeshop.com/interactive/',
    'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/default/thumb.jpg',
    'menus' => array( 'primary-menu' => 'Menu' ), // menu location slug => Demo menu name
    'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

$args['presets']['travel'] = array(
    'title' => 'Travel Blog',
    'demo' => 'https://demo.mythemeshop.com/interactive-travel/',
    'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/travel/thumb.jpg',
    'menus' => array( 'primary-menu' => 'Menu' ), // menu location slug => Demo menu name
    'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

$args['presets']['story'] = array(
    'title' => 'Story Teller',
    'demo' => 'https://demo.mythemeshop.com/interactive-story/',
    'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/story/thumb.jpg',
    'menus' => array( 'primary-menu' => 'Menu' ), // menu location slug => Demo menu name
    'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

$args['presets']['fashion'] = array(
    'title' => 'Fashion Blog',
    'demo' => 'https://demo.mythemeshop.com/interactive-fashion/',
    'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/fashion/thumb.jpg',
    'menus' => array( 'primary-menu' => 'Menu' ), // menu location slug => Demo menu name
    'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

$args['presets']['magazine'] = array(
    'title' => 'Flat Magazine',
    'demo' => 'https://demo.mythemeshop.com/interactive-magazine/',
    'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/magazine/thumb.jpg',
    'menus' => array( 'primary-menu' => 'Menu' ), // menu location slug => Demo menu name
    'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

global $mts_presets;
$mts_presets = $args['presets'];